From 89d8bf5fa2eb442bf0df3a1f0526fc7db9fc8c1f Mon Sep 17 00:00:00 2001
From: Jelte Fennema <jelte.fennema@microsoft.com>
Date: Wed, 15 Feb 2023 15:33:59 +0100
Subject: [PATCH] Add example of new pg_ident username paterns to docs

In efb6f4 support for additional patterns that could be used in the
username column of pg_ident files. These new patterns were documented,
but the pg_ident example in the docs was not updated to include them.
---
 doc/src/sgml/client-auth.sgml | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index b9d73deced2..c771b3ae68f 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -1047,6 +1047,14 @@ omicron         ann                     ann
 omicron         robert                  bob
 # bryanh can also connect as guest1
 omicron         bryanh                  guest1
+# root can login as all roles
+omicron         root                    all
+# The guest user on these machines can log in as all postgres
+# guest roles (guest1, guest2, guest3, etc)
+omicron         guest                   /^guest\d+$
+# The support user on these machines can log in to any
+# postgres user that's part of the support group
+omicron         support                 +support
 </programlisting>
   </example>
  </sect1>
-- 
2.34.1

